Package weka.experiment

# Interface Compute

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `RemoteEngine`

public interface Compute extends Remote
Interface to something that can accept remote connections and execute a task.

Version:
  $Revision: 1.5 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`Object`
`checkStatus(Object taskId)`
Check on the status of a `Task`
`Object`
`executeTask(Task t)`
Execute a task

## Method Details

### executeTask

Object executeTask(Task t) throws RemoteException
Execute a task

Parameters:
  `t` - Task to be executed
Returns:
  a unique ID for the task
Throws:
  `RemoteException` - if something goes wrong.

### checkStatus

Object checkStatus(Object taskId) throws Exception
Check on the status of a `Task`

Parameters:
  `taskId` - the ID for the Task to be checked
Returns:
  the status of the Task
Throws:
  `Exception` - if an error occurs